Name: barcode
Version: 0.98
Release: alt4
Group: Graphics
Summary: Library and utility to generate printable barcodes in PostScript format
Summary(ru_RU.UTF-8): Библиотека и утилита для генерации штрих-кодов для печати в формате PostScript
License: GPL
Url: http://www.gnu.org/software/barcode/barcode.html
Packager: Mikhail Yakshin <greycat@altlinux.org>
Source: %name-%version.tar.gz

BuildRequires: gcc

Requires(post,preun): %__install_info

%description 
The package is meant to solve most needs in barcode creation with a
conventional printer. It can create printouts for the conventional
product tagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well
as a few other formats. Output is generated as either Postscript or
Encapsulated Postscript (other back-ends may be added if needed).

The package is released as both a library and a command-line frontend,
so that you can include barcode-generation into your application.

%description -l ru_RU.UTF-8
Этот пакет призван удовлетворить большинство потребностей по созданию
штрих-кодов с помощью обычного принтера. Он может выдавать распечатки
всех основных стандартных кодов, таких, как UPC-A, UPC-E, EAN-13,
EAN-8, ISBN и еще нескольких. Вывод генерируется в Postscript или
Encapsulated Postscript (возможно также добавление иных форматов при
необходимости).

В пакет входят и библиотека, и утилита командной строки, так что вы
можете добавить поддержку генерации штрих-кодов в ваше приложение.

%prep
%setup -q

%build
%configure
sed -i 's,LIBDIR = $(prefix)/lib,LIBDIR=%buildroot%_libdir,' Makefile

%make

%install
%makeinstall
%__mkdir_p %buildroot%_infodir %buildroot%_mandir/man1 %buildroot%_mandir/man3
%__mv %buildroot/usr/info/barcode.info %buildroot%_infodir
%__mv %buildroot/usr/man/man1/barcode.1 %buildroot%_mandir/man1
%__mv %buildroot/usr/man/man3/barcode.3 %buildroot%_mandir/man3

%post
%install_info barcode.info

%preun
%uninstall_info barcode.info

%files
%defattr(0644,root,root,0755)
%doc README INSTALL TODO ChangeLog contrib
%attr(0755,root,root) %_bindir/barcode
%_mandir/man1/barcode.1.*
%_mandir/man3/barcode.3.*
%_infodir/barcode.info*

%_includedir/barcode.h
%_libdir/libbarcode.a

%changelog
* Thu Aug 09 2007 Mikhail Yakshin <greycat@altlinux.ru> 0.98-alt4
- Fixed encoding, closes bug #12504

* Wed Aug 08 2007 Mikhail Yakshin <greycat@altlinux.ru> 0.98-alt3
- Fixed x86_64 build

* Mon Nov 28 2005 Mikhail Yakshin <greycat@altlinux.org> 0.98-alt2
- Fixed URL and buildreq

* Fri Feb 27 2004 Mikhail Yakshin <greycat@altlinux.org> 0.98-alt1
- Initial build
